Compare commits

...

4 commits

Author SHA1 Message Date
Rodolphe Bréard
f7f73d7fb6 Reorder the Hyprland related packages 2023-10-15 17:58:13 +02:00
Rodolphe Bréard
6061476220 Add the screenshot key 2023-10-15 17:57:41 +02:00
Rodolphe Bréard
4bc35ac815 Use reflector instead of a custom script 2023-10-15 13:11:04 +02:00
Rodolphe Bréard
a8cadd898c Add a screenshot utility for Wayland 2023-10-15 12:55:51 +02:00
3 changed files with 5 additions and 33 deletions

View file

@ -173,3 +173,4 @@ bindl=, XF86AudioPrev, exec, playerctl --player rhythmbox previous
bindl=, XF86AudioNext, exec, playerctl --player rhythmbox next
bindl=, XF86MonBrightnessUp, exec, brightnessctl set +5%
bindl=, XF86MonBrightnessDown, exec, brightnessctl set 5%-
bindl=, Print, exec, grim

View file

@ -9,14 +9,17 @@ This is just a bunch of dotfiles.
# Base utils
pacman -S bat duf eza htop inetutils kitty-terminfo neovim openssh ripgrep tmux transmission-cli tree wget whois zsh zsh-syntax-highlighting
pacman -S shared-mime-info xdg-user-dirs
pacman -S reflector
pacman -S skim
# Rust
pacman -S cargo-audit cargo-outdated cargo-release rustup
# CLI software
pacman -S dog exiv2 gnupg imagemagick mkcert ncdu nmap pass playerctl python-shodan qrencode rsync shellcheck sqlmap yt-dlp
# Hyprland
pacman -S hyprland hyprpaper dunst xdg-desktop-portal-hyprland wofi wl-clipboard qt5-wayland qt6-wayland udiskie waybar otf-font-awesome brightnessctl
pacman -S hyprland xdg-desktop-portal-hyprland wofi qt5-wayland qt6-wayland
pacman -S pipewire wireplumber pipewire-audio pipewire-alsa pipewire-pulse pipewire-jack pipewire-x11-bell
pacman -S brightnessctl dunst hyprpaper otf-font-awesome udiskie waybar wl-clipboard
pacman -S grim slurp
# Graphical software
pacman -S atril firefox gedit gimp handbrake kitty mpv openshot pcmanfm rhythmbox ristretto sweethome3d tumbler thunderbird vlc zathura zathura-pdf-mupdf
pacman -S gvfs xarchiver

View file

@ -1,32 +0,0 @@
#!/usr/bin/env bash
set -euo pipefail
IFS=$'\n\t'
pacman_dir="/etc/pacman.d"
mirror_file="${pacman_dir}/mirrorlist"
mirror_pacnew="${mirror_file}.pacnew"
mirror_orig="${mirror_file}.orig"
mirror_tmp="/tmp/mirrorlist.tmp"
rank_util="rankmirrors"
if ! hash "$rank_util" 2>/dev/null; then
echo "$rank_util: command not found" >&2
echo "You may need to install the 'pacman-contrib' package." >&2
exit 1
fi
if [ -f "$mirror_pacnew" ]; then
echo "Using $mirror_pacnew"
mv "$mirror_pacnew" "$mirror_orig"
fi
if [ ! -f "$mirror_orig" ]; then
echo "$mirror_orig: file not found" >&2
exit 1
fi
awk '/^## France$/{f=1}f==0{next}/^$/{exit}{print substr($0, 2)}' "$mirror_orig" >"$mirror_tmp"
"$rank_util" -n 6 "$mirror_tmp" >"$mirror_file"
rm -f "$mirror_tmp"
pacman -Syy